gtk-0.12.4: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Safe Haskell | None

Graphics.UI.Gtk.MenuComboToolbar.ToolItem

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Methods
- Attributes

Description

The base class of widgets that can be added to `Toolbar`

- Module available since Gtk+ version 2.4

Synopsis

- data ToolItem
- class BinClass o => ToolItemClass o
- castToToolItem :: GObjectClass obj => obj -> ToolItem
- gTypeToolItem :: GType
- toToolItem :: ToolItemClass o => o -> ToolItem
- toolItemNew :: IO ToolItem
- toolItemSetHomogeneous :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetHomogeneous :: ToolItemClass self => self -> IO Bool
- toolItemSetExpand :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetExpand :: ToolItemClass self => self -> IO Bool
- toolItemSetTooltip :: ToolItemClass self => self -> Tooltips -> String -> String -> IO ()
- toolItemSetUseDragWindow :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetUseDragWindow :: ToolItemClass self => self -> IO Bool
- toolItemSetVisibleHorizontal :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetVisibleHorizontal :: ToolItemClass self => self -> IO Bool
- toolItemSetVisibleVertical :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetVisibleVertical :: ToolItemClass self => self -> IO Bool
- toolItemSetIsImportant :: ToolItemClass self => self -> Bool -> IO ()
- toolItemGetIsImportant :: ToolItemClass self => self -> IO Bool
- data IconSize
- toolItemGetIconSize :: ToolItemClass self => self -> IO IconSize
- data Orientation
  - = OrientationHorizontal
  - | OrientationVertical
- toolItemGetOrientation :: ToolItemClass self => self -> IO Orientation
- data ToolbarStyle
  - = ToolbarIcons
  - | ToolbarText
  - | ToolbarBoth
  - | ToolbarBothHoriz
- toolItemGetToolbarStyle :: ToolItemClass self => self -> IO ToolbarStyle
- data ReliefStyle
  - = ReliefNormal
  - | ReliefHalf
  - | ReliefNone
- toolItemGetReliefStyle :: ToolItemClass self => self -> IO ReliefStyle
- toolItemRetrieveProxyMenuItem :: ToolItemClass self => self -> IO (Maybe Widget)
- toolItemGetProxyMenuItem :: ToolItemClass self => self -> String -> IO (Maybe Widget)
- toolItemSetProxyMenuItem :: (ToolItemClass self, MenuItemClass menuItem) => self -> String -> menuItem -> IO ()
- toolItemGetEllipsizeMode :: ToolItemClass item => item -> IO EllipsizeMode
- toolItemGetTextAlignment :: ToolItemClass item => item -> IO Double
- toolItemGetTextOrientation :: ToolItemClass item => item -> IO Orientation
- toolItemGetTextSizeGroup :: ToolItemClass item => item -> IO SizeGroup
- toolItemVisibleHorizontal :: ToolItemClass self => Attr self Bool
- toolItemVisibleVertical :: ToolItemClass self => Attr self Bool
- toolItemIsImportant :: ToolItemClass self => Attr self Bool
- toolItemExpand :: ToolItemClass self => Attr self Bool
- toolItemHomogeneous :: ToolItemClass self => Attr self Bool
- toolItemUseDragWindow :: ToolItemClass self => Attr self Bool

# Detail

`ToolItem`s are widgets that can appear on a toolbar. To create a toolbar item that contain something else than a button, use `toolItemNew`. Use `containerAdd` to add a child widget to the tool item.

For toolbar items that contain buttons, see the `ToolButton`, `ToggleToolButton` and `RadioToolButton` classes.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Bin
     | +----ToolItem
     | +----ToolButton
     | +----SeparatorToolItem

# Types

data ToolItem

Instances

Eq ToolItem |
Ord ToolItem |
GObjectClass ToolItem |
ToolItemClass ToolItem |
BinClass ToolItem |
ContainerClass ToolItem |
WidgetClass ToolItem |
ObjectClass ToolItem |

class BinClass o => ToolItemClass o

Instances

ToolItemClass SeparatorToolItem |
ToolItemClass RadioToolButton |
ToolItemClass ToggleToolButton |
ToolItemClass MenuToolButton |
ToolItemClass ToolButton |
ToolItemClass ToolItem |

castToToolItem :: GObjectClass obj => obj -> ToolItem

gTypeToolItem :: GType

toToolItem :: ToolItemClass o => o -> ToolItem

# Constructors

toolItemNew :: IO ToolItem

Creates a new `ToolItem`

# Methods

toolItemSetHomogeneous

Arguments

:: ToolItemClass self |
=> self |
-> Bool | `homogeneous` - whether `toolItem` is the same size as other homogeneous items
-> IO () |

Sets whether the tool item is to be allocated the same size as other homogeneous items. The effect is that all homogeneous items will have the same width as the widest of the items.

toolItemGetHomogeneous :: ToolItemClass self => self -> IO Bool

Returns whether the tool item is the same size as other homogeneous items. See `toolItemSetHomogeneous`.

toolItemSetExpand :: ToolItemClass self => self -> Bool -> IO ()

Sets whether the tool item is allocated extra space when there is more room on the toolbar then needed for the items. The effect is that the item gets bigger when the toolbar gets bigger and smaller when the toolbar gets smaller.

toolItemGetExpand :: ToolItemClass self => self -> IO Bool

Returns whether the tool item is allocated extra space. See `toolItemSetExpand`.

toolItemSetTooltip

Arguments

:: ToolItemClass self |
=> self |
-> Tooltips | `tooltips` - The `Tooltips` object to be used
-> String | `tipText` - text to be used as tooltip text for `toolItem`
-> String | `tipPrivate` - text to be used as private tooltip text
-> IO () |

Sets the `Tooltips` object to be used for the tool item, the text to be displayed as tooltip on the item and the private text to be used. See `tooltipsSetTip`.

toolItemSetUseDragWindow :: ToolItemClass self => self -> Bool -> IO ()

Sets whether toolitem has a drag window. When `True` the tool item can be used as a drag source through `dragSourceSet`. When the tool item has a drag window it will intercept all events, even those that would otherwise be sent to a child widget.

toolItemGetUseDragWindow :: ToolItemClass self => self -> IO Bool

Returns whether the tool item has a drag window. See `toolItemSetUseDragWindow`.

toolItemSetVisibleHorizontal :: ToolItemClass self => self -> Bool -> IO ()

Sets whether the tool item is visible when the toolbar is docked horizontally.

toolItemGetVisibleHorizontal :: ToolItemClass self => self -> IO Bool

Returns whether the tool item is visible on toolbars that are docked horizontally.

toolItemSetVisibleVertical :: ToolItemClass self => self -> Bool -> IO ()

Sets whether the tool item is visible when the toolbar is docked vertically. Some tool items, such as text entries, are too wide to be useful on a vertically docked toolbar. If `False` the tool item will not appear on toolbars that are docked vertically.

toolItemGetVisibleVertical :: ToolItemClass self => self -> IO Bool

Returns whether the tool item is visible when the toolbar is docked vertically. See `toolItemSetVisibleVertical`.

toolItemSetIsImportant :: ToolItemClass self => self -> Bool -> IO ()

Sets whether the tool item should be considered important. The ToolButton class uses this property to determine whether to show or hide its label when the toolbar style is `ToolbarBothHoriz`. The result is that only tool buttons with the "is important" property set have labels, an effect known as "priority text".

toolItemGetIsImportant :: ToolItemClass self => self -> IO Bool

Returns whether the tool item is considered important. See `toolItemSetIsImportant`

data IconSize

The size of an icon in pixels.

- This enumeration contains one case that is not exported and which is used when new sizes are registered using `iconSizeRegister`.
- Applying `show` to this type will reveal the name of the size that is registered with Gtk+.

Instances

Enum IconSize |
Eq IconSize |
Show IconSize |

toolItemGetIconSize :: ToolItemClass self => self -> IO IconSize

Returns the icon size used for the tool item.

data Orientation

Orientation is good

Constructors

OrientationHorizontal |
OrientationVertical |

Instances

Enum Orientation |
Eq Orientation |
Show Orientation |

toolItemGetOrientation :: ToolItemClass self => self -> IO Orientation

Returns the orientation used for the tool item.

data ToolbarStyle

Where to place the toolbar?

Constructors

ToolbarIcons |
ToolbarText |
ToolbarBoth |
ToolbarBothHoriz |

Instances

Enum ToolbarStyle |
Eq ToolbarStyle |
Show ToolbarStyle |

toolItemGetToolbarStyle :: ToolItemClass self => self -> IO ToolbarStyle

Returns the toolbar style used for the tool item.

Possibilities are: [`ToolbarBoth`] meaning the tool item should show both an icon and a label, stacked vertically [`ToolbarIcons`] meaning the toolbar shows only icons [`ToolbarText`] meaning the tool item should only show text [`ToolbarBothHoriz`] meaning the tool item should show both an icon and a label, arranged horizontally

data ReliefStyle

I don't have a clue.

Constructors

ReliefNormal |
ReliefHalf |
ReliefNone |

Instances

Enum ReliefStyle |
Eq ReliefStyle |
Show ReliefStyle |

toolItemGetReliefStyle :: ToolItemClass self => self -> IO ReliefStyle

Returns the relief style of the tool item. See `buttonSetReliefStyle`.

toolItemRetrieveProxyMenuItem :: ToolItemClass self => self -> IO (Maybe Widget)

Returns the `MenuItem` that was last set by `toolItemSetProxyMenuItem`, ie. the `MenuItem` that is going to appear in the overflow menu.

toolItemGetProxyMenuItem

Arguments

:: ToolItemClass self |
=> self |
-> String | `menuItemId` - a string used to identify the menu item
-> IO (Maybe Widget) | returns The `MenuItem` passed to `toolItemSetProxyMenuItem`, if the `menuItemId`s match.

If `menuItemId` matches the string passed to `toolItemSetProxyMenuItem` return the corresponding `MenuItem`.

toolItemSetProxyMenuItem

Arguments

:: (ToolItemClass self, MenuItemClass menuItem) |
=> self |
-> String | `menuItemId` - a string used to identify `menuItem`
-> menuItem | `menuItem` - a `MenuItem` to be used in the overflow menu
-> IO () |

Sets the `MenuItem` used in the toolbar overflow menu. The `menuItemId` is used to identify the caller of this function and should also be used with `toolItemGetProxyMenuItem`.

toolItemGetEllipsizeMode

Arguments

:: ToolItemClass item |
=> item |
-> IO EllipsizeMode | returns a PangoEllipsizeMode indicating how text in `toolItem` should be ellipsized.

Returns the ellipsize mode used for `toolItem`. Custom subclasses of `ToolItem` should call this function to find out how text should be ellipsized.

- Available since Gtk+ version 2.20

toolItemGetTextAlignment

Arguments

:: ToolItemClass item |
=> item |
-> IO Double | returns a gfloat indicating the horizontal text alignment used for `toolItem`

Returns the text alignment used for `toolItem`. Custom subclasses of `ToolItem` should call this function to find out how text should be aligned.

toolItemGetTextOrientation

Arguments

:: ToolItemClass item |
=> item |
-> IO Orientation | returns a `Orientation` indicating the orientation used for `toolItem`

Returns the text orientation used for `toolItem`. Custom subclasses of `ToolItem` should call this function to find out how text should be orientated.

toolItemGetTextSizeGroup :: ToolItemClass item => item -> IO SizeGroup

Returns the size group used for labels in `toolItem`. Custom subclasses of `ToolItem` should call this function and use the size group for labels.

# Attributes

toolItemVisibleHorizontal :: ToolItemClass self => Attr self Bool

Whether the toolbar item is visible when the toolbar is in a horizontal orientation.

Default value: `True`

toolItemVisibleVertical :: ToolItemClass self => Attr self Bool

Whether the toolbar item is visible when the toolbar is in a vertical orientation.

Default value: `True`

toolItemIsImportant :: ToolItemClass self => Attr self Bool

Whether the toolbar item is considered important. When `True`, toolbar buttons show text in `ToolbarBothHoriz` mode.

Default value: `False`

toolItemExpand :: ToolItemClass self => Attr self Bool

'expand' property. See `toolItemGetExpand` and `toolItemSetExpand`

toolItemHomogeneous :: ToolItemClass self => Attr self Bool

'homogeneous' property. See `toolItemGetHomogeneous` and `toolItemSetHomogeneous`

toolItemUseDragWindow :: ToolItemClass self => Attr self Bool

'useDragWindow' property. See `toolItemGetUseDragWindow` and `toolItemSetUseDragWindow`